/*
Theme Name: Ashton Child
Theme URI: https://themes.themegoods.com/ashton/landing
Description: Premium Lawyer Attorney WordPress Theme
Version: 1.0
Author: ThemeGoods
Author URI: https://themeforest.net/user/ThemeGoods
License: Themeforest License
License URI: https://themeforest.net/licenses/regular_extended
Text Domain: ashton
Template: ashton
*/

@import "../ashton/style.css";

/***********************
GÉNÉRAL
***********************/
/* Titre de page */
@media (min-width: 1025px) {
    #titre_page > .elementor-widget-wrap {
        padding-left: 10px !important;
        padding-right: 10px !important;
    }
}

/* Popup blocage du clic droit */
#right-click-content.visible {
    z-index: 99999 !important;
}

.grecaptcha-badge {
    display: none !important;
}


/***********************
FORMULAIRES
***********************/
form .elementor-field-textual {
    line-height: 1.4;
    font-size: 15px;
    min-height: 40px;
    padding: 9px 14px;
}

/*
form .elementor-field-group .elementor-select-wrapper:before {
    content: "\e92a" !important;
    color: #797979 !important;
    font-family: eicons;
    font-size: 15px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 10px;
    pointer-events: none;
    text-shadow: 0 0 BLACK !important;
}
*/

form .elementor-select-wrapper .select-caret-down-wrapper svg {
    aspect-ratio: 1 / 2;
    display: unset;
    width: 1em;
    fill: #6a6a6a;
}

form .elementor-field-type-submit.e-form__buttons {
    width: 210px !important;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
}

/* Popup - Prendre rdv */
@media (min-width: 768px) {
    form#prendre_rdv .elementor-field-group.elementor-md-50 {
        width: 50%;
    }
}

input.elementor-date-field, input.elementor-time-field, input.elementor-date-field {
    height: 52px;
    border-radius: 5px;
    color: #797979 !important;
}

select#form-field-subject {
    height: 52px;
    border-radius: 5px;
    color: #797979 !important;
}

input[type="date"]::-webkit-calendar-picker-indicator, input[type="time"]::-webkit-calendar-picker-indicator {
    opacity: 0.6;
    width: 20px;
    height: 20px;
}

input[type="time"]::-webkit-calendar-picker-indicator {
    margin-right: 2px;
}


/***********************
HEADER
***********************/
@media (min-width: 1025px) and (max-width: 1190px) {
    .elementor-1388 .elementor-element.elementor-element-eedc742, .elementor-1388 .elementor-element.elementor-element-a4d8753 {
        margin-left: 10px;
    }
}

/* Multilangue */
.lang-item a.elementor-item {
    padding-left: 10px !important;
    padding-right: 0px !important;
}

/***********************
HOMEPAGE
***********************/
@media (max-width: 1024px) and (min-width: 768px) {
    #bloc_liens .background-list-wrapper .background-list-column .background-list-content {
        padding: 20px;
    }
}

@media (max-width: 767px) {
    #bloc_liens .background-list-wrapper {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        overflow: hidden !important;
    }
    
    #bloc_liens .background-list-wrapper .background-list-column {
        border-right: 1px solid rgba(256, 256, 256, 0.5);
        border-bottom: 1px solid rgba(256, 256, 256, 0.5);
    }
}


/***********************
SERVICES
***********************/
@media (max-width: 1169px) {
    #liste_services .owl-carousel .owl-dots {
        margin-bottom: 40px;
        margin-left: 35px;
    }
}

@media (min-width: 1170px) {
     #liste_services .owl-carousel .owl-stage {
        width: fit-content !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }

    #liste_services .owl-item:last-child {
        margin-right: 0 !important;
    }
    
    #liste_services .owl-carousel .owl-dots {
        opacity: 0 !important;
        pointer-events: none;
    }
}


/***********************
BLOG
***********************/
.blog-posts-metro_no_space:hover {
    box-shadow: inset 0px 0px 500px 10px #000000a1;
}

.elementor-section-stretched .pagination.blog-posts-grid_no_space, .elementor-section-stretched .pagination.blog-posts-metro_no_space {
    padding-left: 0px !important;
    padding-top: 30px;
    margin: 0px 20px !important;
    float: none;
    display: flex;
    justify-content: center;
    box-shadow: none !important;
}

.pagination.blog-posts-metro_no_space span.current, .pagination.blog-posts-metro_no_space a {
    width: 40px;
    height: 40px;
    padding-top: 0.4em;
}

.pagination.blog-posts-metro_no_space span.current {
    background-color: #c74f21;
}

.pagination.blog-posts-metro_no_space a.inactive {
    background-color: #152d6d;
    color: white;
}

.pagination a:hover {
    font-weight: initial !important;
    transform: scale(0.9);
}

.pagination-detail.blog-posts-grid_no_space, .pagination-detail.blog-posts-metro_no_space {
    display: none;
}

.archive .page-tagline {
    display: none;
}

/***********************
FAQ
***********************/
.elementor-accordion-item {
    border-top: none !important;
    border-right: none !important;
    border-left: none !important;
}


/***********************
FOOTER
***********************/
@media (min-width: 1025px) and (max-width: 1190px) {
    .elementor-column.elementor-col-33.elementor-top-column.elementor-element.elementor-element-83026bc, .elementor-728 .elementor-element.elementor-element-14bbf70 {
        margin-left: 10px;
    }
    
    .elementor-728 .elementor-element.elementor-element-3afee47 {
        margin-right: 10px;   
    }
}


/***********************
BACK TO TOP
***********************/
a#go-to-top {
    border-color: transparent !important;
    background-color: #c64f22 !important;
    color: #ffffff !important;
}

a#go-to-top:hover {
    border-color: transparent !important;
    background-color: #F9C7AC !important;
    color: #ffffff !important;
}
